local createCompositionblink_small = nil
local createCompositionboat = nil
local createCompositionhook = nil
local createCompositionmechok_main = nil
local createCompositionpuppy_main = nil
local createCompositionring_on = nil
local createCompositionwater_rings = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/01a_dock_boat/main/anim/boat/"
---------------------------------------------------------------------------------------
function Loader_01_Boat_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
                CreateCompositionLoader(createCompositionboat,		  'boat',		 0,0, 3, 512,384,  true),
    			CreateCompositionLoader(createCompositionhook,		  'hook',		 0,0, 40, 512,384, false),
    			CreateCompositionLoader(createCompositionwater_rings, 'water_rings', 0,0, 2, 512,384,  true),
		},
		{
			function (element, textureName)
				if textureName == "hvost[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(6)
					anim:SetTextureRect(0,0,80,86)
					anim:SetSpeed(12)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "Water_rings.PNG" then
					local anim = element:GetTexture()
					anim:SetBlendMode(0)
					return
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionblink_small = function()
	local compositionblink_small = CreateCompositionSequence()
	local compositionDuration = 10
	compositionblink_small:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."_0007_Layer-137_3.png")
	element:SetName("Layer_1")
	compositionblink_small:AddElement(element)
	element:SetHotSpot(27, 13)
	element:SetParentElement(compositionblink_small)
	element:SetXY(27, 13)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_O, 0.83333333333333, 0)
	effector:SetKey(_TRACK_O, 0.875, 1)
	effector:SetKey(_TRACK_O, 1, 1)
	effector:SetKey(_TRACK_O, 1.04166666666667, 0)
	effector:SetKey(_TRACK_O, 6.70833333333333, 0)
	effector:SetKey(_TRACK_O, 6.75, 1)
	effector:SetKey(_TRACK_O, 6.875, 1)
	effector:SetKey(_TRACK_O, 6.91666666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."_0007_Layer-137_2.png")
	element:SetName("Layer_2")
	compositionblink_small:AddElement(element)
	element:SetHotSpot(27, 13)
	element:SetParentElement(compositionblink_small)
	element:SetXY(27, 13)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_O, 0.70833333333333, 0)
	effector:SetKey(_TRACK_O, 0.75, 1)
	effector:SetKey(_TRACK_O, 0.83333333333333, 1)
	effector:SetKey(_TRACK_O, 0.875, 0)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:SetKey(_TRACK_O, 1.04166666666667, 1)
	effector:SetKey(_TRACK_O, 1.125, 1)
	effector:SetKey(_TRACK_O, 1.16666666666667, 0)
	effector:SetKey(_TRACK_O, 6.58333333333333, 0)
	effector:SetKey(_TRACK_O, 6.625, 1)
	effector:SetKey(_TRACK_O, 6.70833333333333, 1)
	effector:SetKey(_TRACK_O, 6.75, 0)
	effector:SetKey(_TRACK_O, 6.875, 0)
	effector:SetKey(_TRACK_O, 6.91666666666667, 1)
	effector:SetKey(_TRACK_O, 7, 1)
	effector:SetKey(_TRACK_O, 7.04166666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."_0007_Layer-137.png")
	element:SetName("Layer_3")
	compositionblink_small:AddElement(element)
	element:SetHotSpot(27, 13)
	element:SetParentElement(compositionblink_small)
	element:SetXY(27, 13)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:Play()
 
	compositionblink_small:Play()
 
	return compositionblink_small
end
 
createCompositionboat = function()
	local compositionboat = CreateCompositionSequence()
	local compositionDuration = 10
	compositionboat:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."krishka2.png")
	element:SetName("Layer_1")
	compositionboat:AddElement(element)
	element:SetHotSpot(81, 109)
	compositionboat:RegisterParentInfo("Layer_1", "Layer_10")
	element:SetXY(904.5, 121)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."dark_tales_loc_1_boat_OL_3.png")
	element:SetName("Layer_2")
	compositionboat:AddElement(element)
	element:SetHotSpot(35, 179)
	compositionboat:RegisterParentInfo("Layer_2", "Layer_10")
	element:SetXY(515.130397034274, 180.737733606033)
 
	element:SetAngle(-0.01454441041667)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."dark_tales_loc_1_boat_OL_2.png")
	element:SetName("Layer_3")
	compositionboat:AddElement(element)
	element:SetHotSpot(91.7403515583819, 110.730833910449)
	compositionboat:RegisterParentInfo("Layer_3", "Layer_10")
	element:SetXY(506.773936173908, 333.350076046415)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_A, 0, -0.0314159265)
	effector:SetKey(_TRACK_A, 2.5, 0.125663706)
	effector:SetKey(_TRACK_A, 5, -0.0314159265)
	effector:SetKey(_TRACK_A, 7.5, 0.125663706)
	effector:SetKey(_TRACK_A, 10, -0.0314159265)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."dark_tales_loc_1_boat_OL_4.png")
	element:SetName("Layer_4")
	compositionboat:AddElement(element)
	element:SetHotSpot(111.95201661584, 37.1897265241112)
	compositionboat:RegisterParentInfo("Layer_4", "Layer_10")
	element:SetXY(535.158508321766, 18.7118706778604)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_A, 0, -0.0314159265)
	effector:SetKey(_TRACK_A, 2.5, -0.188495559)
	effector:SetKey(_TRACK_A, 5, -0.0314159265)
	effector:SetKey(_TRACK_A, 7.5, -0.188495559)
	effector:SetKey(_TRACK_A, 10, -0.0314159265)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."dark_tales_loc_1_boat_OL_5.png")
	element:SetName("Layer_5")
	compositionboat:AddElement(element)
	element:SetHotSpot(129, 130)
	compositionboat:RegisterParentInfo("Layer_5", "Layer_10")
	element:SetXY(-77, 233)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:Play()
 
 
	-- Layer Layer_6
	element = createCompositionpuppy_main()
	element:SetName("Layer_6")
	compositionboat:AddElement(element)
	element:SetHotSpot(129.5, 125.5)
	compositionboat:RegisterParentInfo("Layer_6", "Layer_10")
	element:SetXY(505.63822775674, 220.110426571398)
 
	element:SetAngle(-0.00058177641667)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:Play()
 
 
	-- Layer Layer_7
	element = createCompositionmechok_main()
	element:SetName("Layer_7")
	compositionboat:AddElement(element)
	element:SetHotSpot(125, 148)
	compositionboat:RegisterParentInfo("Layer_7", "Layer_10")
	element:SetXY(490.579503710855, 186.239088780599)
 
	element:SetAngle(-0.0314159265)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."z_bag_gekon.png")
	element:SetName("Layer_8")
	compositionboat:AddElement(element)
	element:SetHotSpot(58, 54)
	compositionboat:RegisterParentInfo("Layer_8", "Layer_10")
	element:SetXY(496.5, 246.5)
 
	element:SetScaleX(0.4)
	element:SetScaleY(0.4)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:Play()
 
 
	-- Layer Layer_9
	element = CreateCompositionElement(PREFIX_PATH.."puppy_popa_meshok.png")
	element:SetName("Layer_9")
	compositionboat:AddElement(element)
	element:SetHotSpot(109, 100)
	compositionboat:RegisterParentInfo("Layer_9", "Layer_10")
	element:SetXY(496, 245.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:Play()
 
 
	-- Layer Layer_10
	element = CreateCompositionElement(PREFIX_PATH.."dark_tales_loc_1_boat_OL_6.png")
	element:SetName("Layer_10")
	compositionboat:AddElement(element)
	element:SetHotSpot(513, 275)
	element:SetParentElement(compositionboat)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_X, 0, 512)
	effector:SetKey(_TRACK_Y, 0, 198)
	effector:SetKey(_TRACK_X, 2.5, 524)
	effector:SetKey(_TRACK_Y, 2.5, 182)
	effector:SetKey(_TRACK_X, 5, 512)
	effector:SetKey(_TRACK_Y, 5, 198)
	effector:SetKey(_TRACK_X, 7.5, 524)
	effector:SetKey(_TRACK_Y, 7.5, 182)
	effector:SetKey(_TRACK_X, 10, 512)
	effector:SetKey(_TRACK_Y, 10, 198)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 2.5, 0.034906585)
	effector:SetKey(_TRACK_A, 5, 0)
	effector:SetKey(_TRACK_A, 7.5, 0.034906585)
	effector:SetKey(_TRACK_A, 10, 0)
	effector:Play()
 
 
	-- Layer Layer_11
	element = createCompositionring_on()
	element:SetName("Layer_11")
	compositionboat:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionboat)
	element:SetXY(512, 384)
 
	element:SetOpacity(0.65)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:Play()
 
	compositionboat:Play()
 
	return compositionboat
end
 
createCompositionhook = function()
	local compositionhook = CreateCompositionSequence()
	local compositionDuration = 2.5
	compositionhook:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."wnd.png")
	element:SetName("Layer_1")
	compositionhook:AddElement(element)
	element:SetHotSpot(216.620111731841, 230.027932960891)
	element:SetParentElement(compositionhook)
	element:SetScaleX(1.79)
	element:SetScaleY(1.79)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.5)
	effector:SetKey(_TRACK_X, 0, 787.999999999995)
	effector:SetKey(_TRACK_Y, 0, 691.999999999995)
	effector:SetKey(_TRACK_X, 0.70833333333333, 705.999999999995)
	effector:SetKey(_TRACK_Y, 0.70833333333333, 535.999999999995)
	effector:SetKey(_TRACK_X, 1, 723.999999999995)
	effector:SetKey(_TRACK_Y, 1, 565.999999999995)
	effector:SetKey(_TRACK_X, 2, 655.999999999995)
	effector:SetKey(_TRACK_Y, 2, 705.999999999995)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 1, 1)
	effector:SetKey(_TRACK_O, 2, 1)
	effector:SetKey(_TRACK_O, 2.5, 0)
	effector:Play()
 
	compositionhook:Play()
 
	return compositionhook
end
 
createCompositionmechok_main = function()
	local compositionmechok_main = CreateCompositionSequence()
	local compositionDuration = 10
	compositionmechok_main:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."bag_0001_Layer-1.png")
	element:SetName("Layer_1")
	compositionmechok_main:AddElement(element)
	element:SetHotSpot(3.5, 3.5)
	compositionmechok_main:RegisterParentInfo("Layer_1", "Layer_3")
	element:SetXY(53.5, 67.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.54166666666667, -0.09803669913375)
	effector:SetKey(_TRACK_A, 1.25, 0.04193285993513)
	effector:SetKey(_TRACK_A, 2.16666666666667, 0.43994369838253)
	effector:SetKey(_TRACK_A, 2.95833333333333, 0.26076896305782)
	effector:SetKey(_TRACK_A, 3.66666666666667, 0.36264045355743)
	effector:SetKey(_TRACK_A, 4.375, 0.10753523946309)
	effector:SetKey(_TRACK_A, 5.58333333333333, -0.3105633998437)
	effector:SetKey(_TRACK_A, 6.29166666666667, 0.04959069582446)
	effector:SetKey(_TRACK_A, 6.875, 0.21928583627116)
	effector:SetKey(_TRACK_A, 8, -0.01713550506219)
	effector:SetKey(_TRACK_A, 9.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."bag_0002_Layer-3.png")
	element:SetName("Layer_2")
	compositionmechok_main:AddElement(element)
	element:SetHotSpot(0, -0.5)
	compositionmechok_main:RegisterParentInfo("Layer_2", "Layer_3")
	element:SetXY(59, 71)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.54166666666667, -0.24612250098285)
	effector:SetKey(_TRACK_A, 1.25, 0.06341723225889)
	effector:SetKey(_TRACK_A, 2.95833333333333, 0.13758428633842)
	effector:SetKey(_TRACK_A, 3.66666666666667, 0.20340322162383)
	effector:SetKey(_TRACK_A, 4.375, -0.0078951188978)
	effector:SetKey(_TRACK_A, 5.54166666666667, -0.23548335302673)
	effector:SetKey(_TRACK_A, 6.29166666666667, -0.03341467021857)
	effector:SetKey(_TRACK_A, 6.875, 0.09397028414093)
	effector:SetKey(_TRACK_A, 8.625, 0.18107922187509)
	effector:SetKey(_TRACK_A, 9.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."bag_0003_Layer-4.png")
	element:SetName("Layer_3")
	compositionmechok_main:AddElement(element)
	element:SetHotSpot(55, 68)
	compositionmechok_main:RegisterParentInfo("Layer_3", "Layer_4")
	element:SetXY(42, 71)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_SX, -0.0125732421875, 0.99959262510545)
	effector:SetKey(_TRACK_SY, -0.0125732421875, 0.99959262510545)
	effector:SetKey(_TRACK_SX, 0.53861490885417, 0.99959262510545)
	effector:SetKey(_TRACK_SY, 0.53861490885417, 1.04990815314826)
	effector:SetKey(_TRACK_SX, 1.2078857421875, 0.99959262510545)
	effector:SetKey(_TRACK_SY, 1.2078857421875, 0.97946641388833)
	effector:SetKey(_TRACK_SX, 2.125, 0.99959262510545)
	effector:SetKey(_TRACK_SY, 2.125, 1.0599284592739)
	effector:SetKey(_TRACK_SX, 2.90079752604167, 0.99959262510545)
	effector:SetKey(_TRACK_SY, 2.90079752604167, 1.00965573071401)
	effector:SetKey(_TRACK_SX, 3.625, 0.9995926212403)
	effector:SetKey(_TRACK_SY, 3.625, 0.98899529108522)
	effector:SetKey(_TRACK_SX, 4.29166666666667, 0.99959262510545)
	effector:SetKey(_TRACK_SY, 4.29166666666667, 1.0696807546482)
	effector:SetKey(_TRACK_SX, 4.9874267578125, 0.99959262510545)
	effector:SetKey(_TRACK_SY, 4.9874267578125, 0.99959262510545)
	effector:SetKey(_TRACK_SX, 5.53861490885417, 0.99959262510545)
	effector:SetKey(_TRACK_SY, 5.53861490885417, 1.04990815314826)
	effector:SetKey(_TRACK_SX, 6.2078857421875, 0.99959262510545)
	effector:SetKey(_TRACK_SY, 6.2078857421875, 0.97946641388833)
	effector:SetKey(_TRACK_SX, 7.16666666666667, 0.99959262510545)
	effector:SetKey(_TRACK_SY, 7.16666666666667, 1.04010562372422)
	effector:SetKey(_TRACK_SX, 7.90079752604167, 0.99959262510545)
	effector:SetKey(_TRACK_SY, 7.90079752604167, 1.00965573071401)
	effector:SetKey(_TRACK_SX, 8.60945638020833, 0.99959262510545)
	effector:SetKey(_TRACK_SY, 8.60945638020833, 0.99959262510545)
	effector:SetKey(_TRACK_SX, 9.16666666666667, 0.99959262510545)
	effector:SetKey(_TRACK_SY, 9.16666666666667, 1.05992845888375)
	effector:SetKey(_TRACK_SX, 9.9874267578125, 0.99959262510545)
	effector:SetKey(_TRACK_SY, 9.9874267578125, 0.99959262510545)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.55118815104167, 0.15615979818559)
	effector:SetKey(_TRACK_A, 1.220458984375, 0.02464466473958)
	effector:SetKey(_TRACK_A, 2.16536458333333, -0.14736704786504)
	effector:SetKey(_TRACK_A, 2.91337076822917, -0.05683456754682)
	effector:SetKey(_TRACK_A, 3.62202962239583, -0.1601492989293)
	effector:SetKey(_TRACK_A, 4.45833333333333, -0.03457661591112)
	effector:SetKey(_TRACK_A, 5, 0)
	effector:SetKey(_TRACK_A, 5.58333333333333, 0.13482982823108)
	effector:SetKey(_TRACK_A, 6.25260416666667, 0.00331469478508)
	effector:SetKey(_TRACK_A, 6.875, -0.09404212509943)
	effector:SetKey(_TRACK_A, 7.91337076822917, -0.05683456754682)
	effector:SetKey(_TRACK_A, 8.62202962239583, -0.1601492989293)
	effector:SetKey(_TRACK_A, 9.58333333333333, -0.03457662549916)
	effector:SetKey(_TRACK_A, 10, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."bag_0004_Layer-5.png")
	element:SetName("Layer_4")
	compositionmechok_main:AddElement(element)
	element:SetHotSpot(35, 254)
	element:SetParentElement(compositionmechok_main)
	element:SetXY(60, 278)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.20340983072917, 1.01675977653631)
	effector:SetKey(_TRACK_SY, 0.20340983072917, 0.98425196850394)
	effector:SetKey(_TRACK_SX, 0.40681966145833, 1.01675977653631)
	effector:SetKey(_TRACK_SY, 0.40681966145833, 1.00786942557439)
	effector:SetKey(_TRACK_SX, 0.61027018229167, 1.02793078975027)
	effector:SetKey(_TRACK_SY, 0.61027018229167, 0.97221041088581)
	effector:SetKey(_TRACK_SX, 0.94925944010417, 0.99985101180124)
	effector:SetKey(_TRACK_SY, 0.94925944010417, 1.00009245988173)
	effector:SetKey(_TRACK_SX, 1.28828938802083, 1.02793078975027)
	effector:SetKey(_TRACK_SY, 1.28828938802083, 0.97221041088581)
	effector:SetKey(_TRACK_SX, 1.72420247395833, 1.01675977653631)
	effector:SetKey(_TRACK_SY, 1.72420247395833, 1.00786942557439)
	effector:SetKey(_TRACK_SX, 2.0147705078125, 1)
	effector:SetKey(_TRACK_SY, 2.0147705078125, 1)
	effector:SetKey(_TRACK_SX, 2.30537923177083, 1.01675977653631)
	effector:SetKey(_TRACK_SY, 2.30537923177083, 0.98425196850394)
	effector:SetKey(_TRACK_SX, 2.69771321614583, 1.01675977653631)
	effector:SetKey(_TRACK_SY, 2.69771321614583, 0.98425196850394)
	effector:SetKey(_TRACK_SX, 3.09000651041667, 1.01675977653631)
	effector:SetKey(_TRACK_SY, 3.09000651041667, 1.00786942557439)
	effector:SetKey(_TRACK_SX, 3.48234049479167, 1.02793078975027)
	effector:SetKey(_TRACK_SY, 3.48234049479167, 0.97221041088581)
	effector:SetKey(_TRACK_SX, 3.797119140625, 0.99985101180124)
	effector:SetKey(_TRACK_SY, 3.797119140625, 1.00009245988173)
	effector:SetKey(_TRACK_SX, 4.21797688802083, 1.01675977653631)
	effector:SetKey(_TRACK_SY, 4.21797688802083, 1.00786942557439)
	effector:SetKey(_TRACK_SX, 4.470458984375, 1.02793078975027)
	effector:SetKey(_TRACK_SY, 4.470458984375, 0.97221041088581)
	effector:SetKey(_TRACK_SX, 4.72294108072917, 1.01675977653631)
	effector:SetKey(_TRACK_SY, 4.72294108072917, 0.98425196850394)
	effector:SetKey(_TRACK_SX, 4.97550455729167, 1)
	effector:SetKey(_TRACK_SY, 4.97550455729167, 1)
	effector:SetKey(_TRACK_SX, 5.1639404296875, 1.01675977653631)
	effector:SetKey(_TRACK_SY, 5.1639404296875, 0.98425196850394)
	effector:SetKey(_TRACK_SX, 5.54105631510417, 1.02793078975027)
	effector:SetKey(_TRACK_SY, 5.54105631510417, 0.97221041088581)
	effector:SetKey(_TRACK_SX, 5.794189453125, 0.99985101180124)
	effector:SetKey(_TRACK_SY, 5.794189453125, 1.00009245988173)
	effector:SetKey(_TRACK_SX, 6.15580240885417, 1.02793078975027)
	effector:SetKey(_TRACK_SY, 6.15580240885417, 0.97221041088581)
	effector:SetKey(_TRACK_SX, 6.37288411458333, 1.01675977653631)
	effector:SetKey(_TRACK_SY, 6.37288411458333, 1.00786942557439)
	effector:SetKey(_TRACK_SX, 6.8067626953125, 1)
	effector:SetKey(_TRACK_SY, 6.8067626953125, 1)
	effector:SetKey(_TRACK_SX, 7.0997314453125, 1.01675977653631)
	effector:SetKey(_TRACK_SY, 7.0997314453125, 0.98425196850394)
	effector:SetKey(_TRACK_SX, 7.39265950520833, 1.01675977653631)
	effector:SetKey(_TRACK_SY, 7.39265950520833, 1.00786942557439)
	effector:SetKey(_TRACK_SX, 7.68558756510417, 1.02793078975027)
	effector:SetKey(_TRACK_SY, 7.68558756510417, 0.97221041088581)
	effector:SetKey(_TRACK_SX, 8.06884765625, 0.99985101180124)
	effector:SetKey(_TRACK_SY, 8.06884765625, 1.00009245988173)
	effector:SetKey(_TRACK_SX, 8.4268798828125, 1.02793078975027)
	effector:SetKey(_TRACK_SY, 8.4268798828125, 0.97221041088581)
	effector:SetKey(_TRACK_SX, 8.88252766927083, 1.01675977653631)
	effector:SetKey(_TRACK_SY, 8.88252766927083, 1.00786942557439)
	effector:SetKey(_TRACK_SX, 9.4415283203125, 1.01675977653631)
	effector:SetKey(_TRACK_SY, 9.4415283203125, 0.98425196850394)
	effector:SetKey(_TRACK_SX, 10, 1)
	effector:SetKey(_TRACK_SY, 10, 1)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.20340983072917, -0.01731450040665)
	effector:SetKey(_TRACK_A, 0.40681966145833, -0.01971413927949)
	effector:SetKey(_TRACK_A, 0.61027018229167, -0.02828382771128)
	effector:SetKey(_TRACK_A, 0.94925944010417, 0.00075201870981)
	effector:SetKey(_TRACK_A, 1.28828938802083, -0.02828382771128)
	effector:SetKey(_TRACK_A, 1.72420247395833, -0.01971413927949)
	effector:SetKey(_TRACK_A, 2.0147705078125, 0)
	effector:SetKey(_TRACK_A, 2.30537923177083, -0.01731450040665)
	effector:SetKey(_TRACK_A, 2.69771321614583, -0.01731450040665)
	effector:SetKey(_TRACK_A, 3.09000651041667, -0.01971413927949)
	effector:SetKey(_TRACK_A, 3.48234049479167, -0.02828382771128)
	effector:SetKey(_TRACK_A, 3.797119140625, 0.00075201870981)
	effector:SetKey(_TRACK_A, 4.21797688802083, -0.01971413927949)
	effector:SetKey(_TRACK_A, 4.470458984375, -0.02828382771128)
	effector:SetKey(_TRACK_A, 4.72294108072917, -0.01731450040665)
	effector:SetKey(_TRACK_A, 4.97550455729167, 0)
	effector:SetKey(_TRACK_A, 5.1639404296875, -0.01731450040665)
	effector:SetKey(_TRACK_A, 5.54105631510417, -0.02828382771128)
	effector:SetKey(_TRACK_A, 5.794189453125, 0.00075201870981)
	effector:SetKey(_TRACK_A, 6.15580240885417, -0.02828382771128)
	effector:SetKey(_TRACK_A, 6.37288411458333, -0.01971413927949)
	effector:SetKey(_TRACK_A, 6.8067626953125, 0)
	effector:SetKey(_TRACK_A, 7.0997314453125, -0.01731450040665)
	effector:SetKey(_TRACK_A, 7.39265950520833, -0.01971413927949)
	effector:SetKey(_TRACK_A, 7.68558756510417, -0.02828382771128)
	effector:SetKey(_TRACK_A, 8.06884765625, 0.00075201870981)
	effector:SetKey(_TRACK_A, 8.4268798828125, -0.02828382771128)
	effector:SetKey(_TRACK_A, 8.88252766927083, -0.01971413927949)
	effector:SetKey(_TRACK_A, 9.4415283203125, -0.01731450040665)
	effector:SetKey(_TRACK_A, 10, 0)
	effector:Play()
 
	compositionmechok_main:Play()
 
	return compositionmechok_main
end
 
createCompositionpuppy_main = function()
	local compositionpuppy_main = CreateCompositionSequence()
	local compositionDuration = 10
	compositionpuppy_main:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."_0002_Layer-132.png")
	element:SetName("Layer_1")
	compositionpuppy_main:AddElement(element)
	element:SetHotSpot(43.5, 9.5)
	compositionpuppy_main:RegisterParentInfo("Layer_1", "Layer_3")
	element:SetXY(10.5, -32.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_A, 0.79166666666667, 0)
	effector:SetKey(_TRACK_A, 1.04166666666667, 0.02817289288258)
	effector:SetKey(_TRACK_A, 1.29166666666667, -0.0250779432845)
	effector:SetKey(_TRACK_A, 1.54166666666667, 0.06200384341484)
	effector:SetKey(_TRACK_A, 1.91666666666667, 0.0128336102005)
	effector:SetKey(_TRACK_A, 3.625, 0.0128336102005)
	effector:SetKey(_TRACK_A, 4.04166666666667, -0.05139891488963)
	effector:SetKey(_TRACK_A, 4.58333333333333, 0.00403764037018)
	effector:SetKey(_TRACK_A, 4.95833333333333, -0.02732958945507)
	effector:SetKey(_TRACK_A, 7.08333333333333, -0.02732958945507)
	effector:SetKey(_TRACK_A, 7.3511962890625, -0.04825808553717)
	effector:SetKey(_TRACK_A, 7.75297037760417, 0.04263896034199)
	effector:SetKey(_TRACK_A, 8.35567220052083, -0.04564316957537)
	effector:SetKey(_TRACK_A, 8.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."_0003_Layer-133.png")
	element:SetName("Layer_2")
	compositionpuppy_main:AddElement(element)
	element:SetHotSpot(3.5, 8)
	compositionpuppy_main:RegisterParentInfo("Layer_2", "Layer_3")
	element:SetXY(55.5, -30)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_A, 0.79166666666667, 0)
	effector:SetKey(_TRACK_A, 0.95833333333333, 0.11681155617423)
	effector:SetKey(_TRACK_A, 1.29166666666667, -0.01187426982507)
	effector:SetKey(_TRACK_A, 1.58333333333333, 0.06087681533504)
	effector:SetKey(_TRACK_A, 3.625, 0.06087681533504)
	effector:SetKey(_TRACK_A, 3.91666666666667, 0.10279470270697)
	effector:SetKey(_TRACK_A, 4.29166666666667, 0.01932474602241)
	effector:SetKey(_TRACK_A, 4.75, 0.06881022352969)
	effector:SetKey(_TRACK_A, 7.08333333333333, 0.06881022352969)
	effector:SetKey(_TRACK_A, 7.52083333333333, 0.10292375818958)
	effector:SetKey(_TRACK_A, 7.95833333333333, 0.05057124507569)
	effector:SetKey(_TRACK_A, 8.45833333333333, -0.02649088673959)
	effector:SetKey(_TRACK_A, 9.08333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."_0004_Layer-134.png")
	element:SetName("Layer_3")
	compositionpuppy_main:AddElement(element)
	element:SetHotSpot(30, 2)
	compositionpuppy_main:RegisterParentInfo("Layer_3", "Layer_10")
	element:SetXY(41, 48)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_SX, 0.29166666666667, 1)
	effector:SetKey(_TRACK_SY, 0.29166666666667, 1)
	effector:SetKey(_TRACK_SX, 0.5, 1)
	effector:SetKey(_TRACK_SY, 0.5, 0.97727272727273)
	effector:SetKey(_TRACK_SX, 0.75, 1)
	effector:SetKey(_TRACK_SY, 0.75, 1)
	effector:SetKey(_TRACK_SX, 1.375, 1)
	effector:SetKey(_TRACK_SY, 1.375, 0.97727272727273)
	effector:SetKey(_TRACK_SX, 1.58333333333333, 1)
	effector:SetKey(_TRACK_SY, 1.58333333333333, 1)
	effector:SetKey(_TRACK_SX, 1.79166666666667, 1)
	effector:SetKey(_TRACK_SY, 1.79166666666667, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 1.875, 1)
	effector:SetKey(_TRACK_SY, 1.875, 1)
	effector:SetKey(_TRACK_SX, 1.95833333333333, 1)
	effector:SetKey(_TRACK_SY, 1.95833333333333, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 2.04166666666667, 1)
	effector:SetKey(_TRACK_SY, 2.04166666666667, 1)
	effector:SetKey(_TRACK_SX, 2.125, 1)
	effector:SetKey(_TRACK_SY, 2.125, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 2.20833333333333, 1)
	effector:SetKey(_TRACK_SY, 2.20833333333333, 1)
	effector:SetKey(_TRACK_SX, 2.29166666666667, 1)
	effector:SetKey(_TRACK_SY, 2.29166666666667, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 2.375, 1)
	effector:SetKey(_TRACK_SY, 2.375, 1)
	effector:SetKey(_TRACK_SX, 2.45833333333333, 1)
	effector:SetKey(_TRACK_SY, 2.45833333333333, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 2.54166666666667, 1)
	effector:SetKey(_TRACK_SY, 2.54166666666667, 1)
	effector:SetKey(_TRACK_SX, 2.625, 1)
	effector:SetKey(_TRACK_SY, 2.625, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 2.70833333333333, 1)
	effector:SetKey(_TRACK_SY, 2.70833333333333, 1)
	effector:SetKey(_TRACK_SX, 2.79166666666667, 1)
	effector:SetKey(_TRACK_SY, 2.79166666666667, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 2.875, 1)
	effector:SetKey(_TRACK_SY, 2.875, 1)
	effector:SetKey(_TRACK_SX, 2.95833333333333, 1)
	effector:SetKey(_TRACK_SY, 2.95833333333333, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 3.04166666666667, 1)
	effector:SetKey(_TRACK_SY, 3.04166666666667, 1)
	effector:SetKey(_TRACK_SX, 3.125, 1)
	effector:SetKey(_TRACK_SY, 3.125, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 3.20833333333333, 1)
	effector:SetKey(_TRACK_SY, 3.20833333333333, 1)
	effector:SetKey(_TRACK_SX, 3.29166666666667, 1)
	effector:SetKey(_TRACK_SY, 3.29166666666667, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 3.375, 1)
	effector:SetKey(_TRACK_SY, 3.375, 1)
	effector:SetKey(_TRACK_SX, 3.45833333333333, 1)
	effector:SetKey(_TRACK_SY, 3.45833333333333, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 3.54166666666667, 1)
	effector:SetKey(_TRACK_SY, 3.54166666666667, 1)
	effector:SetKey(_TRACK_SX, 3.625, 1)
	effector:SetKey(_TRACK_SY, 3.625, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 3.70833333333333, 1)
	effector:SetKey(_TRACK_SY, 3.70833333333333, 1)
	effector:SetKey(_TRACK_SX, 3.79166666666667, 1)
	effector:SetKey(_TRACK_SY, 3.79166666666667, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 3.875, 1)
	effector:SetKey(_TRACK_SY, 3.875, 1)
	effector:SetKey(_TRACK_SX, 3.95833333333333, 1)
	effector:SetKey(_TRACK_SY, 3.95833333333333, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 4.04166666666667, 1)
	effector:SetKey(_TRACK_SY, 4.04166666666667, 1)
	effector:SetKey(_TRACK_SX, 4.125, 1)
	effector:SetKey(_TRACK_SY, 4.125, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 4.20833333333333, 1)
	effector:SetKey(_TRACK_SY, 4.20833333333333, 1)
	effector:SetKey(_TRACK_SX, 4.29166666666667, 1)
	effector:SetKey(_TRACK_SY, 4.29166666666667, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 4.375, 1)
	effector:SetKey(_TRACK_SY, 4.375, 1)
	effector:SetKey(_TRACK_SX, 4.45833333333333, 1)
	effector:SetKey(_TRACK_SY, 4.45833333333333, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 5.125, 1)
	effector:SetKey(_TRACK_SY, 5.125, 1)
	effector:SetKey(_TRACK_SX, 5.20833333333333, 1)
	effector:SetKey(_TRACK_SY, 5.20833333333333, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 5.29166666666667, 1)
	effector:SetKey(_TRACK_SY, 5.29166666666667, 1)
	effector:SetKey(_TRACK_SX, 5.375, 1)
	effector:SetKey(_TRACK_SY, 5.375, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 5.45833333333333, 1)
	effector:SetKey(_TRACK_SY, 5.45833333333333, 1)
	effector:SetKey(_TRACK_SX, 6.33333333333333, 1)
	effector:SetKey(_TRACK_SY, 6.33333333333333, 1)
	effector:SetKey(_TRACK_SX, 6.41666666666667, 1)
	effector:SetKey(_TRACK_SY, 6.41666666666667, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 6.5, 1)
	effector:SetKey(_TRACK_SY, 6.5, 1)
	effector:SetKey(_TRACK_SX, 8.45833333333333, 1)
	effector:SetKey(_TRACK_SY, 8.45833333333333, 1)
	effector:SetKey(_TRACK_SX, 8.54166666666667, 1)
	effector:SetKey(_TRACK_SY, 8.54166666666667, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 8.625, 1)
	effector:SetKey(_TRACK_SY, 8.625, 1)
	effector:SetKey(_TRACK_SX, 9.20833333333333, 1)
	effector:SetKey(_TRACK_SY, 9.20833333333333, 1)
	effector:SetKey(_TRACK_SX, 9.29166666666667, 1)
	effector:SetKey(_TRACK_SY, 9.29166666666667, 0.98636363636364)
	effector:SetKey(_TRACK_SX, 9.375, 1)
	effector:SetKey(_TRACK_SY, 9.375, 1)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."_0006_Layer-136.png")
	element:SetName("Layer_4")
	compositionpuppy_main:AddElement(element)
	element:SetHotSpot(17.2602661501579, 16.4948534644255)
	compositionpuppy_main:RegisterParentInfo("Layer_4", "Layer_10")
	element:SetXY(66.7602661501579, 45.4948534644255)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_A, 0.7615966796875, 0.00064542630236)
	effector:SetKey(_TRACK_A, 0.8865966796875, 0.07493261619137)
	effector:SetKey(_TRACK_A, 0.96993001302083, 0.07493261619137)
	effector:SetKey(_TRACK_A, 1.1365966796875, -0.11078535853114)
	effector:SetKey(_TRACK_A, 1.34493001302083, 0.01921722377461)
	effector:SetKey(_TRACK_A, 6.67826334635417, 0.01921722377461)
	effector:SetKey(_TRACK_A, 6.8865966796875, -0.11078535853114)
	effector:SetKey(_TRACK_A, 7.1365966796875, 0.00064542630236)
	effector:SetKey(_TRACK_A, 7.67826334635417, 0.05636081871912)
	effector:SetKey(_TRACK_A, 8.17826334635417, 0.00064542630236)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."_0005_Layer-135.png")
	element:SetName("Layer_5")
	compositionpuppy_main:AddElement(element)
	element:SetHotSpot(4.5, 14.5)
	compositionpuppy_main:RegisterParentInfo("Layer_5", "Layer_10")
	element:SetXY(21, 41.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_A, 0.79166666666667, 0.00134236649531)
	effector:SetKey(_TRACK_A, 0.91666666666667, -0.14364332396479)
	effector:SetKey(_TRACK_A, 0.95833333333333, -0.14364332396479)
	effector:SetKey(_TRACK_A, 1.125, 0.16445126826293)
	effector:SetKey(_TRACK_A, 1.33333333333333, -0.1617665352723)
	effector:SetKey(_TRACK_A, 6.66666666666667, -0.1617665352723)
	effector:SetKey(_TRACK_A, 6.875, 0.16445126826293)
	effector:SetKey(_TRACK_A, 7.25, 0.00134236649531)
	effector:SetKey(_TRACK_A, 7.79166666666667, -0.10739690134976)
	effector:SetKey(_TRACK_A, 8.33333333333333, 0.00134236649531)
	effector:Play()
 
 
	-- Layer Layer_6
	element = createCompositionblink_small()
	element:SetName("Layer_6")
	compositionpuppy_main:AddElement(element)
	element:SetHotSpot(27, 13)
	compositionpuppy_main:RegisterParentInfo("Layer_6", "Layer_10")
	element:SetXY(43.052991472671, 48.2188111663328)
 
	element:SetAngle(0.01497019325825)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."_0000_Layer-116-copy.png")
	element:SetName("Layer_7")
	compositionpuppy_main:AddElement(element)
	element:SetHotSpot(10, 0.5)
	compositionpuppy_main:RegisterParentInfo("Layer_7", "Layer_10")
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_X, 0.91666666666667, 40.5)
	effector:SetKey(_TRACK_Y, 0.91666666666667, 63)
	effector:SetKey(_TRACK_X, 1.375, 38.8009105763415)
	effector:SetKey(_TRACK_Y, 1.375, 73.8708599075883)
	effector:SetKey(_TRACK_X, 6.83333333333333, 38.8009105763415)
	effector:SetKey(_TRACK_Y, 6.83333333333333, 73.8708599075883)
	effector:SetKey(_TRACK_X, 7.41666666666667, 40.5)
	effector:SetKey(_TRACK_Y, 7.41666666666667, 63)
	effector:SetKey(_TRACK_SX, 1.83333333333333, 1)
	effector:SetKey(_TRACK_SY, 1.83333333333333, 1)
	effector:SetKey(_TRACK_SX, 1.91666666666667, 1)
	effector:SetKey(_TRACK_SY, 1.91666666666667, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 2, 1)
	effector:SetKey(_TRACK_SY, 2, 1)
	effector:SetKey(_TRACK_SX, 2.08333333333333, 1)
	effector:SetKey(_TRACK_SY, 2.08333333333333, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 2.16666666666667, 1)
	effector:SetKey(_TRACK_SY, 2.16666666666667, 1)
	effector:SetKey(_TRACK_SX, 2.25, 1)
	effector:SetKey(_TRACK_SY, 2.25, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 2.33333333333333, 1)
	effector:SetKey(_TRACK_SY, 2.33333333333333, 1)
	effector:SetKey(_TRACK_SX, 2.41666666666667, 1)
	effector:SetKey(_TRACK_SY, 2.41666666666667, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 2.5, 1)
	effector:SetKey(_TRACK_SY, 2.5, 1)
	effector:SetKey(_TRACK_SX, 2.58333333333333, 1)
	effector:SetKey(_TRACK_SY, 2.58333333333333, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 2.66666666666667, 1)
	effector:SetKey(_TRACK_SY, 2.66666666666667, 1)
	effector:SetKey(_TRACK_SX, 2.75, 1)
	effector:SetKey(_TRACK_SY, 2.75, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 2.83333333333333, 1)
	effector:SetKey(_TRACK_SY, 2.83333333333333, 1)
	effector:SetKey(_TRACK_SX, 2.91666666666667, 1)
	effector:SetKey(_TRACK_SY, 2.91666666666667, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 3, 1)
	effector:SetKey(_TRACK_SY, 3, 1)
	effector:SetKey(_TRACK_SX, 3.08333333333333, 1)
	effector:SetKey(_TRACK_SY, 3.08333333333333, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 3.16666666666667, 1)
	effector:SetKey(_TRACK_SY, 3.16666666666667, 1)
	effector:SetKey(_TRACK_SX, 3.25, 1)
	effector:SetKey(_TRACK_SY, 3.25, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 3.33333333333333, 1)
	effector:SetKey(_TRACK_SY, 3.33333333333333, 1)
	effector:SetKey(_TRACK_SX, 3.41666666666667, 1)
	effector:SetKey(_TRACK_SY, 3.41666666666667, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 3.5, 1)
	effector:SetKey(_TRACK_SY, 3.5, 1)
	effector:SetKey(_TRACK_SX, 3.58333333333333, 1)
	effector:SetKey(_TRACK_SY, 3.58333333333333, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 3.66666666666667, 1)
	effector:SetKey(_TRACK_SY, 3.66666666666667, 1)
	effector:SetKey(_TRACK_SX, 3.75, 1)
	effector:SetKey(_TRACK_SY, 3.75, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 3.83333333333333, 1)
	effector:SetKey(_TRACK_SY, 3.83333333333333, 1)
	effector:SetKey(_TRACK_SX, 3.91666666666667, 1)
	effector:SetKey(_TRACK_SY, 3.91666666666667, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 4, 1)
	effector:SetKey(_TRACK_SY, 4, 1)
	effector:SetKey(_TRACK_SX, 4.08333333333333, 1)
	effector:SetKey(_TRACK_SY, 4.08333333333333, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 4.16666666666667, 1)
	effector:SetKey(_TRACK_SY, 4.16666666666667, 1)
	effector:SetKey(_TRACK_SX, 4.25, 1)
	effector:SetKey(_TRACK_SY, 4.25, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 4.33333333333333, 1)
	effector:SetKey(_TRACK_SY, 4.33333333333333, 1)
	effector:SetKey(_TRACK_SX, 4.41666666666667, 1)
	effector:SetKey(_TRACK_SY, 4.41666666666667, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 4.5, 1)
	effector:SetKey(_TRACK_SY, 4.5, 1)
	effector:SetKey(_TRACK_SX, 4.58333333333333, 1)
	effector:SetKey(_TRACK_SY, 4.58333333333333, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 4.66666666666667, 1)
	effector:SetKey(_TRACK_SY, 4.66666666666667, 1)
	effector:SetKey(_TRACK_SX, 4.75, 1)
	effector:SetKey(_TRACK_SY, 4.75, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 4.83333333333333, 1)
	effector:SetKey(_TRACK_SY, 4.83333333333333, 1)
	effector:SetKey(_TRACK_SX, 5.125, 1)
	effector:SetKey(_TRACK_SY, 5.125, 1)
	effector:SetKey(_TRACK_SX, 5.20833333333333, 1)
	effector:SetKey(_TRACK_SY, 5.20833333333333, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 5.29166666666667, 1)
	effector:SetKey(_TRACK_SY, 5.29166666666667, 1)
	effector:SetKey(_TRACK_SX, 5.375, 1)
	effector:SetKey(_TRACK_SY, 5.375, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 5.45833333333333, 1)
	effector:SetKey(_TRACK_SY, 5.45833333333333, 1)
	effector:SetKey(_TRACK_SX, 5.54166666666667, 1)
	effector:SetKey(_TRACK_SY, 5.54166666666667, 0.95987749932941)
	effector:SetKey(_TRACK_SX, 5.625, 1)
	effector:SetKey(_TRACK_SY, 5.625, 1)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."_0001_Layer-112.png")
	element:SetName("Layer_8")
	compositionpuppy_main:AddElement(element)
	element:SetHotSpot(13, 11)
	compositionpuppy_main:RegisterParentInfo("Layer_8", "Layer_7")
	element:SetXY(10.75, 11.75)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:Play()
 
 
	-- Layer Layer_9
	element = CreateCompositionElement(PREFIX_PATH.."_0008_Layer-138_1.png")
	element:SetName("Layer_9")
	compositionpuppy_main:AddElement(element)
	element:SetHotSpot(12, 7)
	compositionpuppy_main:RegisterParentInfo("Layer_9", "Layer_10")
	element:SetAngle(0.01497019325825)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_X, 0.79166666666667, 39.5368752489997)
	effector:SetKey(_TRACK_Y, 0.79166666666667, 82.6700364957988)
	effector:SetKey(_TRACK_X, 1.375, 39.0947957727551)
	effector:SetKey(_TRACK_Y, 1.375, 85.1306392139724)
	effector:SetKey(_TRACK_X, 1.66666666666667, 39.1390037203796)
	effector:SetKey(_TRACK_Y, 1.66666666666667, 84.884578942155)
	effector:SetKey(_TRACK_X, 6.91666666666667, 39.1390037203796)
	effector:SetKey(_TRACK_Y, 6.91666666666667, 84.884578942155)
	effector:SetKey(_TRACK_X, 7.58333333333333, 39.5368752489997)
	effector:SetKey(_TRACK_Y, 7.58333333333333, 82.6700364957988)
	effector:Play()
 
 
	-- Layer Layer_10
	element = CreateCompositionElement(PREFIX_PATH.."_0008_Layer-138.png")
	element:SetName("Layer_10")
	compositionpuppy_main:AddElement(element)
	element:SetHotSpot(40.560329693978, 76.0134422759737)
	compositionpuppy_main:RegisterParentInfo("Layer_10", "Layer_13")
	element:SetXY(43.560329693978, 50.0134422759737)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_A, 0.79166666666667, 0)
	effector:SetKey(_TRACK_A, 1.16666666666667, -0.19643947168345)
	effector:SetKey(_TRACK_A, 3.625, -0.19643947168345)
	effector:SetKey(_TRACK_A, 4.04166666666667, -0.10700021260243)
	effector:SetKey(_TRACK_A, 7.08333333333333, -0.10700021260243)
	effector:SetKey(_TRACK_A, 7.79166666666667, 0.04450549360826)
	effector:SetKey(_TRACK_A, 8.79166666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_11
	element = CreateCompositionElement(PREFIX_PATH.."bantik.png")
	element:SetName("Layer_11")
	compositionpuppy_main:AddElement(element)
	element:SetHotSpot(22, 27)
	compositionpuppy_main:RegisterParentInfo("Layer_11", "Layer_12")
	element:SetXY(46.5, 7.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:Play()
 
 
	-- Layer Layer_12
	element = CreateCompositionElement(PREFIX_PATH.."lenta.png")
	element:SetName("Layer_12")
	compositionpuppy_main:AddElement(element)
	element:SetHotSpot(28, 11)
	compositionpuppy_main:RegisterParentInfo("Layer_12", "Layer_13")
	element:SetXY(52.5, 59.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:Play()
 
 
	-- Layer Layer_13
	element = CreateCompositionElement(PREFIX_PATH.."_0009_Layer-141.png")
	element:SetName("Layer_13")
	compositionpuppy_main:AddElement(element)
	element:SetHotSpot(98, 54)
	element:SetParentElement(compositionpuppy_main)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_X, 0.375, 144)
	effector:SetKey(_TRACK_Y, 0.375, 87)
	effector:SetKey(_TRACK_X, 0.79166666666667, 143.5)
	effector:SetKey(_TRACK_Y, 0.79166666666667, 86.5)
	effector:SetKey(_TRACK_X, 3.79166666666667, 143.5)
	effector:SetKey(_TRACK_Y, 3.79166666666667, 86.5)
	effector:SetKey(_TRACK_X, 4.29166666666667, 144)
	effector:SetKey(_TRACK_Y, 4.29166666666667, 87)
	effector:SetKey(_TRACK_X, 7.25, 144)
	effector:SetKey(_TRACK_Y, 7.25, 87)
	effector:SetKey(_TRACK_X, 7.75, 143)
	effector:SetKey(_TRACK_Y, 7.75, 87)
	effector:SetKey(_TRACK_X, 8.79166666666667, 144)
	effector:SetKey(_TRACK_Y, 8.79166666666667, 87)
	effector:SetKey(_TRACK_A, 0.375, 0)
	effector:SetKey(_TRACK_A, 0.79166666666667, 0.01867289397967)
	effector:SetKey(_TRACK_A, 3.79166666666667, 0.01867289397967)
	effector:SetKey(_TRACK_A, 4.29166666666667, 0)
	effector:SetKey(_TRACK_A, 7.25, 0)
	effector:SetKey(_TRACK_A, 7.75, -0.02566318844271)
	effector:SetKey(_TRACK_A, 8.79166666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_14
	element = CreateCompositionElement(PREFIX_PATH.."puppy_popa_ol.png")
	element:SetName("Layer_14")
	compositionpuppy_main:AddElement(element)
	element:SetHotSpot(21, 26)
	element:SetParentElement(compositionpuppy_main)
	element:SetXY(180, 137)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:Play()
 
 
	-- Layer Layer_15
	element = CreateCompositionElement(PREFIX_PATH.."hvost[].png")
	element:SetName("Layer_15")
	compositionpuppy_main:AddElement(element)
	element:SetHotSpot(15, 15)
	element:SetParentElement(compositionpuppy_main)
	element:SetXY(188.5, 138.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.29166666666667, 0.15160995617927)
	effector:SetKey(_TRACK_A, 0.5, -0.20504575347141)
	effector:SetKey(_TRACK_A, 0.75, 0.02209756554596)
	effector:SetKey(_TRACK_A, 1, -0.2268868441772)
	effector:SetKey(_TRACK_A, 1.25, 0.19908926762748)
	effector:SetKey(_TRACK_A, 1.5, -0.32362694041947)
	effector:SetKey(_TRACK_A, 1.75, 0.43320756427441)
	effector:SetKey(_TRACK_A, 2, 0)
	effector:SetKey(_TRACK_A, 2.29166666666667, 0.15160995617927)
	effector:SetKey(_TRACK_A, 2.5, -0.20504575347141)
	effector:SetKey(_TRACK_A, 2.75, 0.02209756554596)
	effector:SetKey(_TRACK_A, 3, -0.2268868441772)
	effector:SetKey(_TRACK_A, 3.25, 0.19908926762748)
	effector:SetKey(_TRACK_A, 3.5, -0.32362694041947)
	effector:SetKey(_TRACK_A, 3.75, 0.43320756427441)
	effector:SetKey(_TRACK_A, 4, 0)
	effector:SetKey(_TRACK_A, 4.29166666666667, 0.15160995617927)
	effector:SetKey(_TRACK_A, 4.5, -0.20504575347141)
	effector:SetKey(_TRACK_A, 4.75, 0.02209756554596)
	effector:SetKey(_TRACK_A, 5, -0.2268868441772)
	effector:SetKey(_TRACK_A, 5.25, 0.19908926762748)
	effector:SetKey(_TRACK_A, 5.5, -0.32362694041947)
	effector:SetKey(_TRACK_A, 5.75, 0.43320756427441)
	effector:SetKey(_TRACK_A, 6, 0)
	effector:SetKey(_TRACK_A, 6.29166666666667, 0.15160995617927)
	effector:SetKey(_TRACK_A, 6.5, -0.20504575347141)
	effector:SetKey(_TRACK_A, 6.75, 0.02209756554596)
	effector:SetKey(_TRACK_A, 7, -0.2268868441772)
	effector:SetKey(_TRACK_A, 7.25, 0.19908926762748)
	effector:SetKey(_TRACK_A, 7.5, -0.32362694041947)
	effector:SetKey(_TRACK_A, 7.75, 0.43320756427441)
	effector:SetKey(_TRACK_A, 8, 0)
	effector:SetKey(_TRACK_A, 8.29166666666667, 0.15160995617927)
	effector:SetKey(_TRACK_A, 8.5, -0.20504575347141)
	effector:SetKey(_TRACK_A, 8.75, 0.02209756554596)
	effector:SetKey(_TRACK_A, 9, -0.2268868441772)
	effector:SetKey(_TRACK_A, 9.25, 0.19908926762748)
	effector:SetKey(_TRACK_A, 9.5, -0.32362694041947)
	effector:SetKey(_TRACK_A, 9.75, 0.43320756427441)
	effector:SetKey(_TRACK_A, 10, 0)
	effector:Play()
 
 
	-- Layer Layer_16
	element = CreateCompositionElement(PREFIX_PATH.."puppy_popa_00000.png")
	element:SetName("Layer_16")
	compositionpuppy_main:AddElement(element)
	element:SetHotSpot(109, 100)
	element:SetParentElement(compositionpuppy_main)
	element:SetXY(120, 151)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:Play()
 
	compositionpuppy_main:Play()
 
	return compositionpuppy_main
end
 
createCompositionring_on = function()
	local compositionring_on = CreateCompositionSequence()
	local compositionDuration = 10
	compositionring_on:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Water_rings.PNG")
	element:SetName("Layer_1")
	compositionring_on:AddElement(element)
	element:SetHotSpot(16, 16)
	element:SetParentElement(compositionring_on)
	element:SetXY(675.200087618363, 512.19981381098)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.5)
	effector:SetKey(_TRACK_SX, 0, 6.25)
	effector:SetKey(_TRACK_SY, 0, 1.81183510638298)
	effector:SetKey(_TRACK_SX, 2.5, 9.5)
	effector:SetKey(_TRACK_SY, 2.5, 2.75398936170212)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 2.5, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."Water_rings.PNG")
	element:SetName("Layer_2")
	compositionring_on:AddElement(element)
	element:SetHotSpot(16, 16)
	element:SetParentElement(compositionring_on)
	element:SetXY(675.200087618363, 512.19981381098)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(7.5, 10.0416666666667)
	effector:SetKey(_TRACK_SX, 7.5, 3)
	effector:SetKey(_TRACK_SY, 7.5, 0.86968085106383)
	effector:SetKey(_TRACK_SX, 10, 6.25)
	effector:SetKey(_TRACK_SY, 10, 1.81183510638298)
	effector:SetKey(_TRACK_O, 7.5, 0)
	effector:SetKey(_TRACK_O, 10, 1)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."Water_rings.PNG")
	element:SetName("Layer_3")
	compositionring_on:AddElement(element)
	element:SetHotSpot(16, 16)
	element:SetParentElement(compositionring_on)
	element:SetXY(675.200087618363, 512.19981381098)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(5.04166666666667, 10.0416666666667)
	effector:SetKey(_TRACK_SX, 5.04166666666667, 3)
	effector:SetKey(_TRACK_SY, 5.04166666666667, 0.86968085106383)
	effector:SetKey(_TRACK_SX, 10.0416666666667, 9.5)
	effector:SetKey(_TRACK_SY, 10.0416666666667, 2.75398936170212)
	effector:SetKey(_TRACK_O, 5.04166666666667, 0)
	effector:SetKey(_TRACK_O, 7.54166666666667, 1)
	effector:SetKey(_TRACK_O, 10.0416666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."Water_rings.PNG")
	element:SetName("Layer_4")
	compositionring_on:AddElement(element)
	element:SetHotSpot(16, 16)
	element:SetParentElement(compositionring_on)
	element:SetXY(703.200087618363, 486.19981381098)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(2.54166666666667, 7.54166666666667)
	effector:SetKey(_TRACK_SX, 2.54166666666667, 3)
	effector:SetKey(_TRACK_SY, 2.54166666666667, 0.86968085106383)
	effector:SetKey(_TRACK_SX, 7.54166666666667, 9.5)
	effector:SetKey(_TRACK_SY, 7.54166666666667, 2.75398936170212)
	effector:SetKey(_TRACK_O, 2.54166666666667, 0)
	effector:SetKey(_TRACK_O, 5.04166666666667, 1)
	effector:SetKey(_TRACK_O, 7.54166666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."Water_rings.PNG")
	element:SetName("Layer_5")
	compositionring_on:AddElement(element)
	element:SetHotSpot(16, 16)
	element:SetParentElement(compositionring_on)
	element:SetXY(675.200087618363, 500.19981381098)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 5)
	effector:SetKey(_TRACK_SX, 0, 3)
	effector:SetKey(_TRACK_SY, 0, 0.86968085106383)
	effector:SetKey(_TRACK_SX, 5, 9.5)
	effector:SetKey(_TRACK_SY, 5, 2.75398936170212)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 2.5, 1)
	effector:SetKey(_TRACK_O, 5, 0)
	effector:Play()
 
	compositionring_on:Play()
 
	return compositionring_on
end
 
createCompositionwater_rings = function()
	local compositionwater_rings = CreateCompositionSequence()
	local compositionDuration = 10
	compositionwater_rings:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Water_rings.PNG")
	element:SetName("Layer_1")
	compositionwater_rings:AddElement(element)
	element:SetHotSpot(16, 16)
	element:SetParentElement(compositionwater_rings)
	element:SetAngle(0.1919862175)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.5)
	effector:SetKey(_TRACK_X, 0, 851.999661218833)
	effector:SetKey(_TRACK_Y, 0, 654.000412671342)
	effector:SetKey(_TRACK_X, 2.5, 888)
	effector:SetKey(_TRACK_Y, 2.5, 608)
	effector:SetKey(_TRACK_SX, 0, 14.9527350917432)
	effector:SetKey(_TRACK_SY, 0, 4.33470246010638)
	effector:SetKey(_TRACK_SX, 2.5, 20.5156536697248)
	effector:SetKey(_TRACK_SY, 2.5, 5.94735704787233)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 2.5, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."Water_rings.PNG")
	element:SetName("Layer_2")
	compositionwater_rings:AddElement(element)
	element:SetHotSpot(16, 16)
	element:SetParentElement(compositionwater_rings)
	element:SetAngle(0.1919862175)
 
	effector = element:GetEffector()
	effector:SetLifeTime(7.5, 10)
	effector:SetKey(_TRACK_X, 7.5, 816)
	effector:SetKey(_TRACK_Y, 7.5, 700)
	effector:SetKey(_TRACK_X, 10, 851.999661218833)
	effector:SetKey(_TRACK_Y, 10, 654.000412671342)
	effector:SetKey(_TRACK_SX, 7.5, 9.38981651376149)
	effector:SetKey(_TRACK_SY, 7.5, 2.72204787234043)
	effector:SetKey(_TRACK_SX, 10, 14.9527350917432)
	effector:SetKey(_TRACK_SY, 10, 4.33470246010638)
	effector:SetKey(_TRACK_O, 7.5, 0)
	effector:SetKey(_TRACK_O, 10, 1)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."Water_rings.PNG")
	element:SetName("Layer_3")
	compositionwater_rings:AddElement(element)
	element:SetHotSpot(16, 16)
	element:SetParentElement(compositionwater_rings)
	element:SetAngle(0.1919862175)
 
	effector = element:GetEffector()
	effector:SetLifeTime(2.5, 7.5)
	effector:SetKey(_TRACK_X, 2.5, 816)
	effector:SetKey(_TRACK_Y, 2.5, 700)
	effector:SetKey(_TRACK_X, 5, 851.999661218833)
	effector:SetKey(_TRACK_Y, 5, 654.000412671342)
	effector:SetKey(_TRACK_X, 7.5, 888)
	effector:SetKey(_TRACK_Y, 7.5, 608)
	effector:SetKey(_TRACK_SX, 2.5, 9.38981651376149)
	effector:SetKey(_TRACK_SY, 2.5, 2.72204787234043)
	effector:SetKey(_TRACK_SX, 5, 14.9527350917432)
	effector:SetKey(_TRACK_SY, 5, 4.33470246010638)
	effector:SetKey(_TRACK_SX, 7.5, 20.5156536697248)
	effector:SetKey(_TRACK_SY, 7.5, 5.94735704787233)
	effector:SetKey(_TRACK_O, 2.5, 0)
	effector:SetKey(_TRACK_O, 5, 1)
	effector:SetKey(_TRACK_O, 7.5, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."Water_rings.PNG")
	element:SetName("Layer_4")
	compositionwater_rings:AddElement(element)
	element:SetHotSpot(16, 16)
	element:SetParentElement(compositionwater_rings)
 
	effector = element:GetEffector()
	effector:SetLifeTime(5, 10)
	effector:SetKey(_TRACK_X, 5, 186)
	effector:SetKey(_TRACK_Y, 5, 678)
	effector:SetKey(_TRACK_X, 10, 234)
	effector:SetKey(_TRACK_Y, 10, 576)
	effector:SetKey(_TRACK_SX, 5, 9.38981651376149)
	effector:SetKey(_TRACK_SY, 5, 2.72204787234043)
	effector:SetKey(_TRACK_SX, 10, 19.9056536697248)
	effector:SetKey(_TRACK_SY, 10, 5.77052194148936)
	effector:SetKey(_TRACK_O, 5, 0)
	effector:SetKey(_TRACK_O, 7.5, 1)
	effector:SetKey(_TRACK_O, 10, 0)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."Water_rings.PNG")
	element:SetName("Layer_5")
	compositionwater_rings:AddElement(element)
	element:SetHotSpot(16, 16)
	element:SetParentElement(compositionwater_rings)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 5)
	effector:SetKey(_TRACK_X, 0, 186)
	effector:SetKey(_TRACK_Y, 0, 678)
	effector:SetKey(_TRACK_X, 5, 234)
	effector:SetKey(_TRACK_Y, 5, 576)
	effector:SetKey(_TRACK_SX, 0, 9.38981651376149)
	effector:SetKey(_TRACK_SY, 0, 2.72204787234043)
	effector:SetKey(_TRACK_SX, 5, 19.9056536697248)
	effector:SetKey(_TRACK_SY, 5, 5.77052194148936)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 2.5, 1)
	effector:SetKey(_TRACK_O, 5, 0)
	effector:Play()
 
	compositionwater_rings:Play()
 
	return compositionwater_rings
end
 
